
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>内网中设置华为代理路由 / iVAN</title>

    <meta name="description" content="内网中设置华为代理路由 一.内部的局域网都使用网络上的私有地址,在常规情况下,内部的电脑在直接利用路由对外访问时,会因电脑使用的是互联网上的保留地址,而被路由器过 滤掉,从而导致无法访问互联网资源,解决这一问题的办法是利用路由操作系统提供的NAT地址转换功能,将内部网的私有地址转换成互联网上的合法地址,使得 不具有合法IP地址的用户可以通过NAT访问到外部网络.这样做的好处是无需配备代理服务器,减少投资,还可以节约合法IP地址,并提高了内部网络的安全 性. 二.使用NAT的single模式,就像它的名字一样,可以将众多">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">内网中设置华为代理路由</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>　　一、内部的局域网都使用网络上的私有地址，在常规情况下，内部的电脑在直接利用路由对外访问时，会因电脑使用的是互联网上的保留地址，而被路由器过 滤掉，从而导致无法访问互联网资源，解决这一问题的办法是利用路由操作系统提供的NAT地址转换功能，将内部网的私有地址转换成互联网上的合法地址，使得 不具有合法IP地址的用户可以通过NAT访问到外部网络。这样做的好处是无需配备代理服务器，减少投资，还可以节约合法IP地址，并提高了内部网络的安全 性。</p>
<p>　　二、使用NAT的single模式，就像它的名字一样，可以将众多的本地局域网主机映射为一个网络地址。局域网内的所有主机对外部网络网络而言，都被看做一个网络用户。本地局域网内的主机继续使用本地地址。</p>
<p>　　三、使用NAT的global模式，路由器的接口将众多的本地局域网主机映射为一定的网络地址范围，当本地主机端口与网络上的主机连接时，IP地址 池中的某个IP地址被自动分配给该本地主机，连接中断后动态分配的IP地址将被释放，释放的IP地址可被其他本地主机使用，要求使用静态IP地址，在 TCP/IP属性中进行设置，并设置关网为路由器以太口IP地址，设置DNS为接入商提供的地址，浏览器等上网工具中无需作任何特殊设置。</p>
<p>　　四、利用代理服务器方式访问网络资源，优点是可以利用代理服务器提供的CACHE服务来提高网络的访问速度和效率。比较适合电脑较多的单位使用。缺 点是需要专门配备一台电脑作为代理服务器，增加了投资成本;且较第一种法方还需多占用两个合法IP地址，网络安全性不高，采用这种方案来访问互联网，代理 服务器上安装两块网卡，一块连接内部网，设置内部私有地址，另一块连接路由器以太口，设置联通分配的合法地址，路由器以太口也设置联通分配的合法IP地 址，将设备连接好后，在代理服务器上安装代理软件，并在电脑上设置代理即可访问网络。</p>
<p>　　五、通过上面介绍的两种方法进行配置，都能顺利地实现网络的访问，但每种方法即有优点，又存在一定的缺点，且两种方法的优点是互补的。哪能不能将两 种方法的优点合二为一，方法三就是一种鱼和熊掌能够兼得的方案。集成了一、二两种方法的优点，即节省了IP地址，又能通过代理服务器提供的CACHE来提 高网络的访问效率。</p>
<p>　　六、采用这种方案来访问互联网，设备连接方法如下： 代理服务器上安装两块网卡，两块网卡均连接在交换机上，在设置IP地址时，两块网卡均设置内部私有地址，但这两个地址应不属于一个网络，一块用于与内部网 通信，一块用于与路由器通信，否则代理无法实现。 在代理服务器上不要安装NETBEUI协议，仅安装TCP/IP协议，路由器以太口也设置一个内部私有地址，该地址因与网卡2的地址在同一个网络。</p>
<p>　　七、在这种配置之下，电脑既可以通过设置代理上网，也可以通过设置网关直接上网。 若只通过代理上网，设置方法与方法二完全一致，若只通过网关上网，要求电脑必须设置静态IP地址，IP地址应设为192.168.1.X，与路由器以太口 在同一个网段，并设置网关为192.168.1.1，设置DNS为接入商提供的地址，则需要在TCP/IP中设置两个静态IP地址192.168.0.X 和192.168.1.X，并设置网关为：192.168.1.1 ，DNS为接入商提供的地址。使用时只需在浏览器等软件中打开或关闭代理设置即可在代理与网关上网之间进行切换。</p>
<p>　　以上就是内网中设置华为代理路由的详细步骤，只要按以上方法去设置，那么你一定会成功的，这里我们所要注意的就是在设置路由器时一定要小心，以免其中很小的一步错误，造成整个网络不通。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-21 15:51:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e5%9c%b0%e5%9d%80/" title="地址">地址</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e7%bd%91%e7%bb%9c/" title="网络">网络</a>, <a href="https://www.iamivan.net/tag/%e8%b7%af%e7%94%b1%e5%99%a8/" title="路由器">路由器</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%90%86/" title="代理">代理</a>, <a href="https://www.iamivan.net/tag/ip%e4%bb%a3%e7%90%86/" title="ip代理">ip代理</a>, <a href="https://www.iamivan.net/tag/%e7%bd%91%e7%bb%9c-crt-%e5%8d%8e%e4%b8%ba/" title="网络 crt 华为">网络 crt 华为</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>内网中设置华为代理路由的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba7YoJp.html" rel="bookmark">内网中多台服务器-外网访问内网中服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 外网访问内网中服务器 场景:内网中有多台ji主机搭载同一服务软件(tcp 端到端),对外有同一端口,同一ip地址,但 mac地址是不同的,外网有一台主机A(没有路由等缓存信息),请求服务,主机A通过 dns得到ip信息,如何等到内网一台主机的mac?正常的情况下,应该得到所有提供服务 主机的mac地址,求解答??? 解决方案 是想做负载均衡吗,那样的话,直接使用服务器软件等apavhe等它来帮你进行服务器选择,数据转发.通信等.就不需要你自己控制. 解决方案二: 为什么要得到mac?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn43BAb.html" rel="bookmark">内网中的web服务在另一个内网中要访问应该怎么实现&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 内网中的web服务在另一个内网中要访问应该怎么实现?两个内网都有自己的网关和自己的防火墙,曾经考虑用p2p穿透,实现起来太麻烦,服务器中转也不能考虑,不知道哪位达人给些建议 解决方案 解决方案二:搞个VPN解决方案三:从网络物理架构上考虑可以吧?内网间搞个静态路由解决方案四:vpn没办法搞,我们属于小区宽带类似的,整个小区出去的ip是一个,服务商不可能给开vpn端口映射			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyWZL8z.html" rel="bookmark">Python程序中设置HTTP代理&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				0x00 前言 大家对HTTP代理应该都非常熟悉,它在很多方面都有着极为广泛的应用.HTTP代理分为正向代理和反向代理两种,后者一般用于将防火墙后面的服务提供给用户访问或者进行负载均衡,典型的有Nginx.HAProxy等.本文所讨论的是正向代理. HTTP代理最常见的用途是用于网络共享.网络加速和网络限制突破等.此外,HTTP代理也常用于Web应用调试.Android/IOS APP 中所调用的Web API监控和分析,目前的知名软件有Fiddler.Charles.Burp Suite和mi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8JY0xb.html" rel="bookmark">内网探测脚本&amp;amp&semi;简单代理访问 jsp&sol;php 源码分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				php内网探测脚本&amp;简单代理访问       .. 1.直接访问默认扫描当前IP的C段,获取标题.web容器. 2.可以自定义传入需要扫描的段,传入参数ip即可 3.代理访问参数为url,可简单的访问内网的web,对了,我还加载了网站里的css,做到尽量看上去和直接访问的效果一样 &lt;%@ page language=&quot;java&quot; import=&quot;java.util.*&quot; pageEncoding=&quot;UTF-8&quot;%&gt;  &lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MraK5Ob.html" rel="bookmark">如何在Linux中设置透明代理&lowbar;unix linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.什么是透明代理? 如果你问:我如何才能使得用户的浏览器不需要任何代理设置就能使用我的Squid cache代理服务器上网?此时你就需要使用透明代理.透明代理让你的客户端不需设置任何代理,当包经过透时代理服务器时实际上被重定向到squid代理服务器的代理端口(如8080),即由本地代理服务器向外请求所需数据然后拷贝给客户端. 2.我需要什么样的环境才能实现透明代理? a.客户端的windows PC的网关必须设成Squid代理服务器,因为既然你的browser中没有任何代理设置,你要访问某个站			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrKQQWp.html" rel="bookmark">内网电脑设置打印机共享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是共享问题,以下方法做: 第一条,最好用:安装NWlink IPX/SPX/NetBIOS Compatible Transport Protocol协议: 第二步,运行一次向导,右击 网上邻居,属性,网络安装向导. 为什么运行了&quot;网络安装向导&quot;的Windows  XP的共享资源就能被工作组中的其他计算机访问呢?其实运行&quot;网络安装向导&quot;只是一个表面现象,重要的是运行了它之后就修改了&quot;本地安全设置&quot;中的两条策略: 1．启用了&quot;账户:客户			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8AEgNz.html" rel="bookmark">dns-跪求大神！关于内网访问外网怎么设置DNS才能速度快！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 跪求大神!关于内网访问外网怎么设置DNS才能速度快! 大神们 我想请教一个问题 :比如本地IP 1.1 外网IP 1.2 问题是内网的机子访问外网的IP非常慢, 怎么设置DNS? 解决方案 把内网DNS设置成当地DNS,当地DNA可以在百度搜索出来的 解决方案二: 你直接ip访问快吗,不一定是dnswen?t 解决方案三: 谷歌dbs8.8.8.8试试 解决方案四: 先Ping一个看结果.速度慢dns的因素不多 解决方案五: 这不是DNS设置的问题,实际上网络流量拥堵没解决. 分成几个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeoJrwM.html" rel="bookmark">安全组设置内网互通的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				    相信接触过安全组的同学肯定都知道0.0.0.0/0,这个特殊的地址段代表了所有IPV4地址,当您不能确认目标或来源地址时一般就用它来代替,例如,公网提供HTTP服务的应用就会利用0.0.0.0/0作为公网安全组入规则的来源地址.     虽然0.0.0.0/0使用非常方便,但是发现很多同学使用它来做内网互通,这是有安全风险的,实例有可能会在经典网络被内网IP访问到.下面介绍一下四种安全的内网互联设置方法. 内网安全组互通设置方法: 1. 使用IP地址授权     如果内网互联的实例数量较			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9j5jXp.html" rel="bookmark">阿里云服务器安全组设置内网互通的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				注意,请先到阿里云官网领取幸运券,除了价格上有很多优惠外,还可以参与抽奖.详见:https://promotion.aliyun.com/ntms/act/ambassador/sharetouser.html?userCode=2a7uv47d&amp;utm_source=2a7uv47d    相信接触过安全组的同学肯定都知道0.0.0.0/0,这个特殊的地址段代表了所有IPV4地址,当您不能确认目标或来源地址时一般就用它来代替,例如,公网提供HTTP服务的应用就会利用0.0.0.0/0作为公网安			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM65Aob.html" rel="bookmark" class="title">PHP常用函数小全</a>
					<div>
						  纪录了PHP的一些常用函数 usleep() 函数延迟代码执行若干微秒. unpack() 函数从二进制字符串对数据进行解包. uniqid() 函数基于以微秒计的当前时间,生成一个唯一的 ID. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bB9dJz.html" rel="bookmark" class="title">&period;NET基础知识－公共语言运行时</a>
					<div>
						   .NET提供了一个运行环境,叫做公共语言运行时(CLR).CLR管理代码的执行并使开发过程变得更加简单.CLR是一种受控的执行环境,其功能通过编译器与其他工具共同展现.以&quot;运行时&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MY1YZM.html" rel="bookmark" class="title">PHP窜红：革命尚未成功 Java仍需努力</a>
					<div>
						相对于Java由简入繁的演变趋势,PHP忠于简单易学原味的坚持受到广大开发者的欢迎,近年来声势大涨,而简单就是力量,这句话套用于近日PHP异军突起,再适合也不过了.老实说,原本觉得它不会太厉害,看到它 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLeRZz.html" rel="bookmark" class="title">ASP中撕页FLASH添加方法的优化</a>
					<div>
						优化 新春贺年FLASH添加方法的优化面的代码放在header.asp的最后程序代码:&lt;%dim IsshowSwfIsshowSwf=Request.Cookies(CookieName&am ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXvOWb.html" rel="bookmark" class="title">新站上线SEO优化系列教程二：操作篇</a>
					<div>
						前面讲了新站做SEO优化的准备篇.当一切的准备工作做到位之后,咱们接下来就需要开始动手操作了.其实笔者认为SEO优化考验的就是你的动手能力及应对能力,毕竟在SEO优化中,什么样的情况都有可能出现的,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrdREp.html" rel="bookmark" class="title">shift键技巧十一则</a>
					<div>
						一 当你用QQ和别人聊天时,是不是有时信息发送的特别慢呀,不要紧,只要你发信息时按shift 键信息就会很快的发送出去的! 二 当你面对一大堆窗口,却要一个一个把它们关掉时.是不是很烦啊.只要你按sh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balJXQz.html" rel="bookmark" class="title">PS制作不规则选区</a>
					<div>
						  ps教程      PS制作不规则选区 1.在PS中新建一个空白文档,选择&quot;矩形选框工具&quot;,在文档中绘制一个矩形; 2.按住&quot;Alt键&quot;或是选择属性栏中的减 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKBK9p.html" rel="bookmark" class="title">左侧是表头的JS表格控件</a>
					<div>
						 今天,项目中要用到该表格,找了一遍,发现没有合适的,于是自己动手丰衣足食.   1.左侧是表头的表格数据展现,  2.支持多行,多表头  3.固定表头的功能  4.能够支持标题  5.获取表格中的数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bad42Xz.html" rel="bookmark" class="title">应用宝动态怎么截图图文</a>
					<div>
						  1.在电脑上打开应用宝,点击顶部&quot;我的手机&quot;选项. 2.点击侧边&quot;工具栏&quot;,在&quot;工具栏&quot;界面,我们可以看到&quot;动态截屏&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42oZ9M.html" rel="bookmark" class="title">Win7系统下更改盘符的方法&quest;</a>
					<div>
						大家都知道在一般情况下系统中的盘符都是按照固定规律自动生成的,那么我们如何去修改盘符呢?下面小编为大家介绍一下Win7系统下更改盘符的方法.   1.单击开始,在开始菜单中选择运行,在弹出运行窗口中输 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EdPaM.html" rel="bookmark" class="title">Comic Studio 4 EX钢笔工具与自制网点的运用</a>
					<div>
						  ComicStudio的钢笔工具是非常强大的,之前只讲过具体的勾线过程,本期我们要来全面了解一下钢笔工具.之前讲过自制网点了,这次我们再来自制一个稍微复杂一点的网点吧!依然是先发一下完成图: 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z729mrp.html" rel="bookmark" class="title">使用java将动态网页生成静态网页示例&lowbar;java</a>
					<div>
						复制代码 代码如下: package com.tools;import java.io.*;import java.net.URL; /** * Title:动态页面静态化 */public clas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kNX9M.html" rel="bookmark" class="title">WxWidgets 的界面设计器 DialogBlocks</a>
					<div>
						今天无意中找到了这个设计器,然后到官网上下载了一份二进制可执行程序安装包,并安装了.它支持好几种编译器,安装好第一次运行,会让你设置一些基本东西,其中就有编译器.它本身提供有代码编辑器的,但是据说不好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6RyJM.html" rel="bookmark" class="title">多线程 同步 lock-JAVA中，一个Lock锁中多个condition监视器的问题</a>
					<div>
						问题描述 JAVA中,一个Lock锁中多个condition监视器的问题 2C 在一个同步程序中,如果定义了一个Lock锁,同时在这一个锁上创建两个condition监视器con1和con2,如果操作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEv56p.html" rel="bookmark" class="title">java-谁知道68行到底哪里错了&quest;</a>
					<div>
						问题描述 谁知道68行到底哪里错了? 谁知道68行到底哪里错了?用socket做超市管理系统java编程,输入产品编号会提示商品,但是却有报错,怎么回事? 解决方案 断点不会用的话,把这个方法拆开 分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE62ZAM.html" rel="bookmark" class="title">异常-java核心技术中一个关于数组的例子不理解，请教大家</a>
					<div>
						问题描述 java核心技术中一个关于数组的例子不理解,请教大家 Person是Employer的父类,Employer有个新方法setBonus,代码如下 Employer[] emprs ={new ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2VJrb.html" rel="bookmark" class="title">java定时器和多线程实践记录</a>
					<div>
						这几天因为需要测试mongodb读写分离的问题,因此写了个定时查询程序,并且用到了多线程,以达到定时启动多个线程查询数据库的效果,下边代码记录备忘: package timmer; import ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Njjqz.html" rel="bookmark" class="title">软件-关于android，如何实现在手机客户端中获取服务器上的资源，文件。【谢谢】</a>
					<div>
						问题描述 关于android,如何实现在手机客户端中获取服务器上的资源,文件.[谢谢] 就比如说我手机上一个软件,怎么进入服务器上下载文件呢?,...感激不尽 解决方案 用httpclient这个类. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqd6Wz.html" rel="bookmark" class="title">python的pandas模块画图时中文显示不完全</a>
					<div>
						问题描述 python的pandas模块画图时中文显示不完全 如图,使用pandas分析统计数据时,横轴的职业名称实现不全,太长的放不下,求问解决方案. target=pandas.read_csv( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rQe7z.html" rel="bookmark" class="title">BtBatStat 0&period;4发布 一个简单的OS X应用程序</a>
					<div>
						BtBatStat是一个简单的OS X应用程序,显示您的苹果蓝牙鼠标和键盘在菜单栏中的电池状态.它支持苹果BT键盘,苹果Mighty鼠标,和苹果魔术鼠标.其他设备也可以工作. BtBatStat 0. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60NmJz.html" rel="bookmark" class="title">通过Debug信息调试Nginx</a>
					<div>
						如果需要对Nginx进行详细调试,就需要查看其http://www.aliyun.com/zixun/aggregation/10818.html&quot;&gt;Debug信息.而默认情况下这些信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL1AYM.html" rel="bookmark" class="title">开源云世界分歧加剧 该不该以AWS马首是瞻？</a>
					<div>
						开源云世界似乎变得越来越具争议性.在上周的一次研讨会上,来自开源云部署软件平台OpenStack.Citrix的CloudStack和Eucalyptus的代表争锋相向. 争论的焦点无疑是没有参与讨论 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAy9Ob.html" rel="bookmark" class="title">请教各位达人，自定义数据传输结构该如何解析啊</a>
					<div>
						问题描述 我写了一个server端,一个client端,现在server端按照指定的数据传输结构给client端传输数据,client拿到数据后需要检查,检查正确后执行下一步操作,现在我卡在解析这一步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod5o3M.html" rel="bookmark" class="title">首届网交会在粤举行中小企业拓内贸</a>
					<div>
						金融危机下,一场网络内贸大战已然打响,而此次的焦点将集中在集全国外贸出口基地和制造业中心为一身的东南沿海大省--广东省身上. 5月16日,国内首届网商交易会将在广州流花馆举行,该交易会由广东省经济贸易 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgERq1z.html" rel="bookmark" class="title">js判断手机号运营商代码</a>
					<div>
						判断手机号运营商的原理   手机号码由国家信息产业部统一规划,11位号码的规划充分考虑了号码容量和号码格式.       11位手机号码格式是:3位网号(运营商)+4位HLR号(地区)+4位的个人代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrm8op.html" rel="bookmark" class="title">获取数据库中两个时间字段的相差天数及ABS&sol;DATEDIFF函数应用&lowbar;MsSql</a>
					<div>
						复制代码 代码如下: SELECT ABS(DATEDIFF(dd,EndDate,BeginDate)) FROM dbo.WorkingPlan 其中,WorkingPlan 为一张表, EndD ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqR6dp.html" rel="bookmark" class="title">基于datagrid框架的查询&lowbar;jquery</a>
					<div>
						复制代码 代码如下: &lt;head&gt;&lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html; charset ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEynGp.html" rel="bookmark" class="title">MSMQ&comma;Enterprise Service&comma; DotNet Remoting&comma;Web Servi</a>
					<div>
						对于送耦合的引用,有一下四种选项.1.MSMQ从windows nt 开始微软就开始提供msmq 的支持,一直到现在的3.0,主要提供一下几个特性的支持. 可靠的消息传递,类似mail 系统,有脱机支 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7ALDb.html" rel="bookmark" class="title">免费虚拟php&sol;mysql&sol;ftp主机空间</a>
					<div>
						建立一个网站是免费的! 20 GB的免费网页空间 千兆带宽无限 Php5时, SQL支持 预安装脚本 的FTP存取 强大的服务器网络 没有强迫广告 免费网页统计( awstats ) 冲击波&amp; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0O4Op.html" rel="bookmark" class="title">vs2005输出Excel的时候怎么保存小数点？</a>
					<div>
						问题描述 我在做输出的时候遇到一个问题,就是GridView我绑定了,数也都显示了,在页面看是时候都是保留两位小数的,包括0.00有的单元格的0.30或是0.00输出到Excel的时候就是0.3和0了 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
